## ubuntu-kylin-docs 15.10.1

=== html/Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make
HTMLDESTDIR=build
SRCDIR=../ubuntu-kylin-help
SED=/bin/sed
INSTALLDIR=/var/www/14.04/
URLFIXER=fix-urls.sed

# Space-separated list of language codes for documents. HTML will only be
# built for those codes in the list
# Ex. HELP_LINGUAS=ja it for Japanese and Italian
# Note that the corresponding .page files for the locales must have been built
# for the HTML to be built in turn. This means all the locales for which
# HTML output is needed will have to have been specified in the main
# HELP_LINGUAS variable in the ubuntu-kylinkylin-help Makefile
HELP_LINGUAS = zh_CN

index_file_exists = $(wildcard $(SRCDIR)/$(lingua)/index.page)
linguas := $(HELP_LINGUAS)
help_linguas := \
    $(foreach lingua, $(linguas), \
        $(if $(index_file_exists), \
            $(lingua), \
            $(warning Cannot find source index page for locale: $(lingua), \
                skipping. You will probably have to build it adding it to \
                the HELP_LINGUAS variable in the Makefile at $(SRCDIR) \
                and rebuild)))

# Ubuntu Mallard Customization Layer
UBUNTUXSL=ubuntu.xsl

# Builds the HTML files for all specified language codes, specifiying the
# language in the final documents and performing some other necessary
# text replacements not handled by yelp-build.
# Language codes are normalized to IETF format, as opposed to glibc format
ubuntu-kylin-help: clean style
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		yelp-build html -o "$(HTMLDESTDIR)/$$lang/" -x $(UBUNTUXSL) \
			"$(SRCDIR)/$$lc/"; \
		$(SED) -i \
			-e '1s/^/<!DOCTYPE html\>\n/' \
			-e "s/<html>/<html lang="$$lang">/" \
			-e 's|/usr/share/icons/.*/\(.*\.svg\)|img/\1|'\
			"$(HTMLDESTDIR)/$$lang/"*.html; \
		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \
		grep "href=\"ghelp:" "$(HTMLDESTDIR)/$$lang/"*.html; \
		rm -rf "$(HTMLDESTDIR)/$$lang/usr"; \
	done

clean:
	rm -rf build

# Copy style sheet and common images to build directory
# TODO: copy C/figures to destination only for those cases where there are
# no localized figures
style:
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		mkdir -p "$(HTMLDESTDIR)/$$lang/img"; \
		mkdir -p "$(HTMLDESTDIR)/$$lang/figures"; \
		cp img/* "$(HTMLDESTDIR)/$$lang/img"; \
		cp "$(SRCDIR)/C/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
	done

# Installs all HTML files to a multilingual site (e.g. run with Apache and
# MultiViews enabled)
install:
	rm -Rf "$(INSTALLDIR)"/*; \
	cp -R "$(HTMLDESTDIR)/"* "$(INSTALLDIR)"; \
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		find "$(INSTALLDIR)/$$lang" -type f -exec mv {} {}.$$lang \; ; \
		cp -af "$(INSTALLDIR)/$$lang"/* "$(INSTALLDIR)"; \
		rm -Rf "$(INSTALLDIR)/$$lang" ; \
	done

## ubuntu-kylin-docs 14.04.3

=== debian/changelog ===
ubuntu-kylin-docs (14.04.3) trusty; urgency=low
  
  * Add "Replaces" field in debian control file to automatically remove
    ubuntu-docs before installation.
  * Merge ubuntu-docs changes.
  * Update zh_CN tranlation.

 -- Lei Luo <luolei@ubuntukylin.com>  Thu, 10 Apr 2014 14:58:12 +0800

ubuntu-kylin-docs (14.04.2) trusty; urgency=low

  * Initial release containing Ubuntu Kylin features.
  * Collect Ubuntu Kylin screenshots to "ubuntu-kylin-help/zh_CN/figures".
  * Replace "html/img/favicon.ico, footer_logo.png, logo.png, 
    logo-ubuntu-header.png" by Ubuntu Kylin ones.

 -- Lei Luo <luolei@ubuntukylin.com>  Wed, 9 Apr 2014 09:41:03 +0800

ubuntu-kylin-docs (14.04.1) trusty; urgency=low

  * Fork from ubuntu-docs.
  * Add uk*.page to introduce the feature packages of Ubuntu Kylin.
  * Replace "ubuntu-help" by "ubuntu-kylin-help".
  * Replace "ubuntu-docs" by "ubuntu-kylin-docs".
  * unity-introduction.page
    - Add an introduction of Ubuntu Kylin.
    - Change "Ubuntu" to "Ubuntu Kylin" or "Ubuntu/Ubuntu Kylin".
  * whats-new.page
    - Add some Ubuntu Kylin features.
  * Makefile.am
    - Add uk*.page to the source list.
    - Delete all languages except zh_CN.

 -- Lei Luo <luolei@ubuntukylin.com>  Thu, 3 Apr 2014 20:26:00 +0800
 

=== debian/control ===
Source: ubuntu-kylin-docs
Section: doc
Priority: optional
Maintainer: Ubuntu Kylin Documentation Team <luolei@ubuntukylin.com>
Build-Depends: debhelper (>= 8), cdbs
Build-Depends-Indep: gnome-common,
                     pkg-config,
                     yelp-tools
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/ubuntu-docs/trusty
Standards-Version: 3.9.5
Homepage: https://launchpad.net/ubuntu-kylin-docs

Package: ubuntu-kylin-docs
Architecture: all
Depends: ${misc:Depends},
         yelp
Conflicts: ubuntu-docs
Replaces: ubuntu-docs
Description: Ubuntu Kylin Desktop Guide
 This package holds the official Ubuntu Kylin documentation, maintained by
 the Ubuntu Kylin Documentation Team. The documentation is based on the Ubuntu
 documentation, and can be viewed using Yelp, the GNOME help browser.

## ubuntu-kylin-docs 14.10.0

=== debian/changelog ===
ubuntu-kylin-docs (14.10.0) utopic; urgency=low

  * Update to Ubuntu Kylin 14.10

 -- Luo Lei <luolei@ubuntukylin.com>  Thu, 18 Sep 2014 16:06:18 +0800

## ubuntu-kylin-docs 15.04.1

=== debian/changelog ===
ubuntu-kylin-docs (15.04.1) vivid; urgency=low

  * Update to Ubuntu Kylin 15.04

 -- Luo Lei <luolei@ubuntukylin.com>  Tue, 24 Mar 2015 15:53:12 +0800

## ubuntu-kylin-docs 15.10.1

=== debian/changelog ===
ubuntu-kylin-docs (15.10.1) wily; urgency=low

  * Update to Ubuntu Kylin 15.10

 -- Luo Lei <luolei@ubuntukylin.com>  Thu, 24 Sep 2015 9:33:31 +0800

ubuntu-kylin-docs (14.10.1) utopic; urgency=low

  * Update to Ubuntu Kylin 14.10

 -- Luo Lei <luolei@ubuntukylin.com>  Thu, 18 Sep 2014 16:06:18 +0800

## ubuntu-kylin-docs 16.04.1

=== html/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 HTMLDESTDIR=build
 SRCDIR=../ubuntu-kylin-help
 SED=/bin/sed
-INSTALLDIR=/var/www/14.04/
+INSTALLDIR=ubuntu-kylin-docs
 URLFIXER=fix-urls.sed
 
 # Space-separated list of language codes for documents. HTML will only be
@@ -65,9 +65,11 @@
 		$(SED) -i \
 			-e '1s/^/<!DOCTYPE html\>\n/' \
 			-e "s/<html>/<html lang="$$lang">/" \
-			-e 's|/usr/share/icons/.*/\(.*\.svg\)|img/\1|'\
 			"$(HTMLDESTDIR)/$$lang/"*.html; \
 		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
+		sed -i -r -e \
+			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 16.04</span></div>\1|' \
+			"$(HTMLDESTDIR)/$$lang/index.html"; \
 		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
 		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \
 		grep "href=\"ghelp:" "$(HTMLDESTDIR)/$$lang/"*.html; \
@@ -93,10 +95,11 @@
 		cp "$(SRCDIR)/C/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
 	done
 
-# Installs all HTML files to a multilingual site (e.g. run with Apache and
-# MultiViews enabled)
+# Installs all HTML files to a single multilingual directory for subsequent copying to
+# the web server document structure (e.g. to run with Apache and MultiViews enabled)
 install:
 	rm -Rf "$(INSTALLDIR)"/*; \
+	mkdir -p "$(INSTALLDIR)"; \
 	cp -R "$(HTMLDESTDIR)/"* "$(INSTALLDIR)"; \
 	for lc in C $(help_linguas); do \
 		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
@@ -104,6 +107,8 @@
 		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
 		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
 		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
+		cp -af "$(INSTALLDIR)/$$lang"/*.css "$(INSTALLDIR)"; \
+		rm -Rf "$(INSTALLDIR)/$$lang"/*.css ; \
 		find "$(INSTALLDIR)/$$lang" -type f -exec mv {} {}.$$lang \; ; \
 		cp -af "$(INSTALLDIR)/$$lang"/* "$(INSTALLDIR)"; \
 		rm -Rf "$(INSTALLDIR)/$$lang" ; \

=== debian/changelog ===
ubuntu-kylin-docs (16.04.1) xenial; urgency=low

  * Merge ubuntu-docs 16.04.2

 -- Luo Lei <luolei@ubuntukylin.com>  Fri, 25 Mar 2016 10:42:12 +0800

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends-Indep: gnome-common,
                      pkg-config,
                      yelp-tools
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/ubuntu-docs/trusty
-Standards-Version: 3.9.5
+Vcs-Bzr: http://bazaar.launchpad.net/~luolei/ubuntu-kylin-docs/xenial
+Standards-Version: 3.9.6
 Homepage: https://launchpad.net/ubuntu-kylin-docs
 
 Package: ubuntu-kylin-docs

## ubuntu-kylin-docs 16.10.1

=== debian/changelog ===
ubuntu-kylin-docs (16.10.1) yakkety; urgency=low

  * Update to Ubuntu Kylin 16.10

 -- Luo Lei <luolei@ubuntukylin.com>  Wed, 28 Sep 2016 9:34:17 +0800

## ubuntu-kylin-docs 17.04.1

=== debian/changelog ===
ubuntu-kylin-docs (17.04.1) zesty; urgency=low

  * Update to Ubuntu Kylin 17.04
  * Add UKUI features

 -- Luo Lei <luolei@ubuntukylin.com>  Wed, 22 Mar 2017 13:06:42 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                      pkg-config,
                      yelp-tools
 Vcs-Bzr: http://bazaar.launchpad.net/~luolei/ubuntu-kylin-docs/xenial
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://launchpad.net/ubuntu-kylin-docs
 
 Package: ubuntu-kylin-docs

## ubuntu-kylin-docs 17.10.0

=== debian/changelog ===
ubuntu-kylin-docs (17.10.0) artful; urgency=medium

  * Replace all ubuntu-help to ubuntu-kylin-help. 
  * Remove the conflicts with ubuntu-docs.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 21 Sep 2017 20:12:41 +0800

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          yelp
-Conflicts: ubuntu-docs
-Replaces: ubuntu-docs
 Description: Ubuntu Kylin Desktop Guide
  This package holds the official Ubuntu Kylin documentation, maintained by
  the Ubuntu Kylin Documentation Team. The documentation is based on the Ubuntu

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_BUILDDEB_ARGS := -- -Zxz

makebuilddir/ubuntu-kylin-docs::
	@gnome-autogen.sh --prefix=/usr
	@echo "---"
	@make -C ubuntu-kylin-help -f Makefile pot
	@echo "---"

## ubuntu-kylin-docs 18.10.0

=== debian/changelog ===
ubuntu-kylin-docs (18.10.0) cosmic; urgency=medium

  * Update to ubuntu kylin 18.10

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 03 Sep 2018 09:35:11 +0800

=== debian/control ===
Source: ubuntu-kylin-docs
Section: doc
Priority: optional
Maintainer: Ubuntu Kylin Documentation Team <jianfengli@ubuntukylin.com>
Build-Depends: debhelper (>= 10), cdbs
Build-Depends-Indep: gnome-common,
                     pkg-config,
                     yelp-tools
Standards-Version: 4.2.1
Homepage: https://launchpad.net/ubuntu-kylin-docs
Vcs-Bzr: https://code.launchpad.net/~feng-kylin/ubuntu-kylin-docs/ubuntu-kylin-docs
Vcs-Browser: https://code.launchpad.net/~feng-kylin/ubuntu-kylin-docs/ubuntu-kylin-docs

Package: ubuntu-kylin-docs
Architecture: all
Depends: ${misc:Depends},
         yelp
Description: Ubuntu Kylin Desktop Guide
 This package holds the official Ubuntu Kylin documentation, maintained by
 the Ubuntu Kylin Documentation Team. The documentation is based on the Ubuntu
 documentation, and can be viewed using Yelp, the GNOME help browser.

## ubuntu-kylin-docs 20.04.0

=== debian/changelog ===
ubuntu-kylin-docs (20.04.0) focal; urgency=medium

  * Update the screenshots and some strings.
  * debian:
    - Use debhelper-compat instead of debhelper.
    - Set Rules-Requires-Root to no.
    - Update the vcs info.
    - Update the rules.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 25 Mar 2020 20:08:56 +0800

=== debian/control ===
Source: ubuntu-kylin-docs
Section: doc
Priority: optional
Maintainer: Ubuntu Kylin Documentation Team <ubuntukylin-members@lists.launchpad.net>
Uploaders: handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: debhelper-compat (= 12),
Build-Depends-Indep: gnome-common,
                     pkg-config,
                     yelp-tools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ubuntukylin/ubuntu-kylin-docs
Vcs-Git: https://github.com/ubuntukylin/ubuntu-kylin-docs.git
Vcs-Browser: https://github.com/ubuntukylin/ubuntu-kylin-docs

Package: ubuntu-kylin-docs
Architecture: all
Depends: ${misc:Depends},
         yelp
Description: Ubuntu Kylin Desktop Guide
 This package holds the official Ubuntu Kylin documentation, maintained by
 the Ubuntu Kylin Documentation Team. The documentation is based on the Ubuntu
 documentation, and can be viewed using Yelp, the GNOME help browser.

=== debian/rules ===
#!/usr/bin/make -f

export NO_PCK_MANGLE=1

%:
	dh $@

## ubuntu-kylin-docs 20.04.0build1

=== debian/changelog ===
ubuntu-kylin-docs (20.04.0build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 24 Nov 2025 19:01:47 +0000
